Subject: bug#59727: Problems with displaying long lines

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Nov 2022 20:17:13 +0200

> Cc: [email-masked]
> Date: Wed, 30 Nov 2022 19:55:36 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > > the X coordinate of a screen line is an 'int', so MAX_INT divided by the
> > > pixel-width of your default font is as far as we can go.
> > 
> > Maybe this limitation of auto-hscrolling should be documented?
> 
> We could document them, indeed.  But where? maybe in PROBLEMS?

Or we could bite the bullet and lift the restriction: make current_x be a
ptrdiff_t, and then audit all the gazillion places where we make
calculations with the X coordinate and make sure we use ptrdiff_t there.
Probably not for emacs-29.